安装apache2.0.54出现的麻烦

登陆apache.org的主页下载了最新版的For Linux apache2.0.54到本地/home/born。
在当前目录执行 tar zxvf httpd-2.0.54.tar.gz成生httpd-2.0.54目录切换到这个目录下面之后按照官方文档中的提示执行./configure –prefix=<安装路径>时安装脚本报出了以下信息:

configure: error: no acceptable C compiler found in $PATH
See `config.log’ for more details.

没有安装C编译器?!啊,对。。。新装的Redhat 9.0的系统,没有把GCC编译器加上去。
当我在安装光盘找到GCC 3.2.2 RPM包安装的时候遇到了以下尴尬的问题:
直接rpm -ivh gcc-3.2.2-5.i386.rpm,报出需要先安装依赖的glibc-devel、cpp、binutils三个RPM包,于是我先找到了glibc-devel,执行rpm -ivh glibc-devel-2.3.2-11.9.i386.rpm报错,报出需要先安装依赖binutils,找到binutils执行:rpm -ivh binutils-2.13.90.0.18-9.i386.rpm,又报出了需要先安装依赖的glibc-kernheaders。 为什么说LINUX维护成本高呢,就安装这么一个软件把我折腾得,没点耐心还真不行!N次mount cdrom,eject cdrom之后找齐了软件。
尝试多次找到了正确的安装顺序:

1、glibc-kernheaders-2.4-8.10.i386.rpm
2、binutils-2.13.90.0.18-9.i386.rpm
3、cpp-3.2.2-5.i386.rpm
4、glibc-devel-2.3.2-11.9.i386.rpm
5、glibc-common-2.3.2-11.9.i386.rpm
6、gcc-3.2.2-5.i386.rpm

以上RPM安装成功以后再次执行./configure –prefix=<安装路径>就不会报错了。然后一路下去:
make
make install
<安装路径>/bin/apachectl start
就可以启动APACHE了,因为没有配置过httpd.conf文件所以会报出:

httpd: Could not determine the server’s fully qualified domain name, using 127.0.0.1 for ServerName

很正常,vi <安装路径>/conf/httpd.conf,找到ServerName这一行修改为自己的域名或IP地址就可以了。
如果需要APACHE随系统启动需要编辑/etc/rc.d目录下的rc.local文件,加入以下内容:

vi /etc/rc.d/rc.local
加一行 <安装路径>/bin/apachectl start

这样APACHE就会在系统启动时一起启动了。

以上算是前车之鉴。

发表您的评论

您的电子邮箱地址不会被公开。

*

code